
(function () {
    var isIE8 = !checkVersion();

    var video_want_send_data = true; // set to true if want to send video click event, false if not.
    var line_tut_pos_px;
    var line_news_pos_px;
    var line_oem_pos_px;

    /*
    var SKETCHBOOK_TRIAL_STATUS_IN_TRIAL = 0;
    var SKETCHBOOK_TRIAL_STATUS_TRIED_ON_THIS_MACHINE = 1;
    var SKETCHBOOK_TRIAL_STATUS_EXPIRED = 2;
    var SKETCHBOOK_TRIAL_STATUS_CAN_TRY = 3;

    var SKETCHBOOK_CAMPAIGN_STATUS_USING = 1;
    var SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING = 0;
     */

    var HOME_TUTORIAL_TAB = "tutorials";

    /* Collect all the parameter values passed to the page here. */
    var LOCALE = sb_util.getParameterValue("locale", "en-us");
    var PAGE = sb_util.getParameterValue("page", "");
    var ISSIGNEDIN = sb_util.getParameterValue("signedin", "");
    var ISMAS = sb_util.getParameterValue("ismas", "false");
    var VIDEO = sb_util.getParameterValue("video", "");
    var NEWS = sb_util.getParameterValue("news", "");

    var OEM = sb_util.getParameterValue("oem", "");
    var OEM_ACTIVATED = sb_util.getParameterValue("oem_activated", "false");

    /*
    var TRIAL = sb_util.getParameterValue("trial", SKETCHBOOK_TRIAL_STATUS_CAN_TRY.toString());
    var TRIAL_DAYS = sb_util.getParameterValue("trial_days", "15");
    var TRIAL_TIME_LEFT = sb_util.getParameterValue("trial_time_left", "0");
    var CAMPAIGN = sb_util.getParameterValue("campain_status", SKETCHBOOK_CAMPAIGN_STATUS_NOT_USING);
    var CAMPAIGN_TIME_LEFT = sb_util.getParameterValue("campaign_time_left", "0");

    var TRIAL_ACTIVATED = sb_util.getParameterValue("trial_activated", "false");
    var IS_ACTIVATING_TRIAL = sb_util.getParameterValue("is_activating_trial", "false");

    var PROMOTION_PLAN = sb_util.getParameterValue("promo_plan_id");
    var PROMOTION_PRICE = sb_util.getParameterValue("promo_discount_price", "0");
    var DISCOUNT = sb_util.getParameterValue("promo_off_percent", "0");
    var EXTENSION = sb_util.getParameterValue("promo_ext_length", "0");
    var PROMOTION_DAY_LEFT = sb_util.getParameterValue("promo_days_left", "0");

    var MP_PLAN_15 = sb_util.getParameterValue("mp_plan_15");
    var MP_PLAN_15_PRICE = sb_util.getParameterValue("mp_plan_15_price");
    var MP_PLAN_15_SYMBOL = sb_util.getParameterValue("mp_plan_15_symbol");
    var MP_PLAN_14 = sb_util.getParameterValue("mp_plan_14");
    var MP_PLAN_14_PRICE = sb_util.getParameterValue("mp_plan_14_price");
    var MP_PLAN_14_SYMBOL = sb_util.getParameterValue("mp_plan_14_symbol");
     */
    /* End - Collect all the parameter values passed to the page here. */

    var isOEM = (OEM != "");


    setupOEM();
    loadJS();

    window.onload=function(){
        localizePage();
        
        selectParameters();
        hideBody(false);

        prepareUIForLocalization();

        $("#index_34").click(function(){
            window.location.href = "sketchbook://banner/account";
        });
    };

    window.onmessage = function(event) {
        if(!event)
            return;
        var result = JSON.parse(event.data);
        // src url of a container (e.g., iframe)
        if (result.container_id && result.url){
            $("#"+result.container_id).attr('src', result.url);
        }
    }

    function prepareUIForLocalization(){
        var locale = LOCALE;
        locale = sb_util.getLocaleFolder(locale);
        $("html").addClass(locale);

        var ismas = (ISMAS == "true") ? true : false;
        if (ismas) {
            $("body").addClass("mas");
        }else{
            $("body").addClass("notmas");
        }
    }

    function hideBody(hide){
        if(hide){
            $("body").addClass("mhidden");
        }else if($("body").hasClass("mhidden")){
            $("body").removeClass("mhidden");
        }
    }

    function setupOEM(){
        if(isOEM){
            if ($("#tag_4").hasClass("mhide")) {
                $("#tag_4").removeClass("mhide");
            }
            var oem = OEM;
            var oemUrl;
            if(OEM_ACTIVATED == "true"){
                oemUrl = "../OEM/html/activate_oem_suc.html?locale=" + LOCALE + "&oem=" + oem + "&ismas=" + ISMAS;
            }else{
                oemUrl = "../OEM/html/activate_oem.html?locale=" + LOCALE + "&oem=" + oem + "&ismas=" + ISMAS;
            }
            $("#content_4_iframe").attr('src', oemUrl);
            if ($("#content_4").hasClass("mhidden")) {
                $("#content_4").removeClass("mhidden");
            }
        }
    };

    function localizePage() {
        $("#index_2").html(lan_index["index_2"]);
        $("#index_3").html(lan_index["index_3"]);

        $("#index_12").html(lan_index["index_12"]);
        $("#index_14").html(lan_index["index_14"]);
        $("#index_16").html(lan_index["index_16"]);
        //$("#index_18").html(lan_index["index_18"]);
        $("#index_20").html(lan_index["index_20"]);
        //$("#index_22").html(lan_index["index_22"]);
        $("#index_24").html(lan_index["index_24"]);
        $("#index_26").html(lan_index["index_26"]);
        $("#index_28").html(lan_index["index_28"]);
        $("#index_30").html(lan_index["index_30"]);
        $("#index_32").html(lan_index["index_32"]);
        $("#index_34").html(lan_index["index_34"]);
        $("#index_35").html(lan_index["index_35"]);

        $("#login").html(lan_index["login"]);

        if(isOEM){
            $("#index_4").html(lan_index_oem["index_4"]);
        }
    };

    //change the position of the blue line under the tag
    function changeLinePos(){
        var father_pos = $("#tag").offset().left;
        var tag_2_pos = ($("#tag_2 h2").offset().left);
        var tag_3_pos = ($("#tag_3 h2").offset().left);
        var tag_4_pos = ($("#tag_4 h2").offset().left);
        var tag_2_width = $("#tag_2 h2").width();
        var tag_3_width = $("#tag_3 h2").width();
        var tag_4_width = $("#tag_4 h2").width();
        var line_tut_pos = tag_2_pos - father_pos + (tag_2_width-30)/2;
        var line_news_pos = tag_3_pos - father_pos  + (tag_3_width-30)/2;
        var line_oem_pos = tag_4_pos - father_pos + (tag_4_width-30)/2;
        line_tut_pos_px = line_tut_pos + "px";
        line_news_pos_px = line_news_pos + "px";
        line_oem_pos_px = line_oem_pos + "px";
    };

    //change the layout of the page depends on the parameters sent by the apps
    function selectParameters() {
        if(isIE8){
            $("#t_videocontent").css("display","none");
            $("#v_image").css("display","block");
        }

        var page = (PAGE == "") ? HOME_TUTORIAL_TAB : PAGE;
        var issignedin = ISSIGNEDIN;
        updateAccountButton(issignedin);
        changeByPage(page);

        //Update quick tutorial page
        updateTutorialTab();
    };

    function updateAccountButton(issignedin){
        changeLinePos();
    }

    function updateTutorialTab(){
        $(".t_lock_essentials").css("visibility","hidden");
        $(".t_lock_pro").css("visibility","hidden");
        $(".t_content_starter").addClass("t_content_active");
        $(".t_content_essentials").addClass("t_content_active");
        $(".t_content_pro").addClass("t_content_active");
    }

    //if is signed in, hide the bottom bar of the page
    function changeSignIn(issignedin){
        var i = issignedin;
        if(i=="true"){
            // $("#tag_account").css("display","none");
            $("#account").text(lan_index["signout"]);
            $("#account").attr("href", "sketchbook://banner/signout?source=signout-button");
        }
        else{
            // $("#tag_account").css("display","inline");
            $("#account").text(lan_index["login"]);
            $("#account").attr("href", "sketchbook://banner/signin?source=signin-button");
        }
        if($("#account").hasClass("mhide"))
            $("#account").removeClass("mhide");

    };

    //determine the page displayed first
    function changeByPage(page){
        switch (page) {
            case 'membership': // Fall through to tutorials because "membership" no longer exists
            case 'tutorials':
                checkVideo();
                $("#tag_2").addClass("tag_active");
                $("#tag_4").removeClass("tag_active");
                $(".tag_line").css("left", line_tut_pos_px);
                $("#content_2").css("left", "0px");
                $("#content_3").css("left", "640px");
                $("#content_4").css("left", "640px");
                break;
            case 'news':
                if (NEWS == "") {
                    goToHomePage();
                    return;
                }
                $("#tag_3").addClass("tag_active");
                $("#tag_4").removeClass("tag_active");
                $(".tag_line").css("left", line_news_pos_px);
                $("#content_2").css("left", "-640px");
                $("#content_3").css("left", "0px");
                $("#content_4").css("left", "640px");
                break;
            case 'oem':
                $("#tag_2").removeClass("tag_active");
                $("#tag_3").removeClass("tag_active");
                $("#tag_4").addClass("tag_active");
                $(".tag_line").css("left", line_oem_pos_px);
                $("#content_2").css("left", "-640px");
                $("#content_3").css("left", "-640px");
                $("#content_4").css("left", "0px");
                break;
            default:
                $("#tag_2").addClass("tag_active");
                $(".tag_line").css("left", line_tut_pos_px);
                $("#content_2").css("left", "0px");
                $("#content_3").css("left", "640px");
                $("#content_4").css("left", "640px");
                break;
        }
    };

    function goToHomePage(){
        changeByPage("tutorials");
    }

    function checkVideo(){
        var video_tag = VIDEO;
        if(video_tag != ""){
            video_want_send_data = false;
            $("#t_content_"+video_tag).click();
            if(video_tag=="gradient_fill" ||video_tag=="distort" ||video_tag=="flipbooks" ||video_tag=="perspective"){
                document.getElementById("t_list").scrollTop=1000;
            }
            else if(video_tag=="copic_color" ||video_tag=="ruler" || video_tag=="symmetry" || video_tag=="brush_property"){
                document.getElementById("t_list").scrollTop=100;
            }
        }
    };

    $(".tag").click(function(){
        var myVideo=document.getElementById("t_videocontent"); 
        //myVideo.pause();
        //first, get id
        var this_id=parseInt($(".tag_active").attr("id").split("_")[1]);
        var next_id=parseInt($(this).attr("id").split("_")[1]);
        //set content position
        var content_list=$("#content_wrap").find(".content");
        for(var i=0;i<content_list.length;i++){
            //set z-index to zero;
            $(content_list).eq(i).css("z-index","0");
            //position
            var this_content_id=parseInt(content_list.eq(i).attr("id").split("_")[1]);
            if(this_content_id<this_id){
                $(content_list.eq(i)).css("left","-640px");
            }else if(this_content_id==this_id){
                $(content_list.eq(i)).css("left","0px");
            }else{
                $(content_list.eq(i)).css("left","640px");
            }
        }
        //set content z-index
        $(content_list.eq(this_id-1)).css("z-index","20");
        $(content_list.eq(next_id-1)).css("z-index","40");
        //start to trans
        //alert("start");
        if(this_id<next_id){
            $(content_list.eq(this_id-1)).animate({left:'-640px'},400);
            $(content_list.eq(next_id-1)).animate({left:'0px'},400);
        }else if(this_id>next_id){
            $(content_list.eq(this_id-1)).animate({left:'640px'},400);
            $(content_list.eq(next_id-1)).animate({left:'0px'},400);
        }
        //change position of tag_line
        if(next_id==2){
            $(".tag_line").animate({left:line_tut_pos_px},400);
        }else if(next_id==3){
            $(".tag_line").animate({left:line_news_pos_px},400);
        }else if(next_id==4){
            $(".tag_line").animate({left:line_oem_pos_px},400);
        }
        //remove tag_active
        $("#tag_"+this_id).removeClass("tag_active");
        $("#tag_"+next_id).addClass("tag_active");
    });


    function checkVersion(){
        var ua = navigator.userAgent; 
        var b = ua.indexOf("MSIE ");
        if(b >= 0){   
            var version = parseFloat(ua.substring(b + 5, ua.indexOf(";", b)));
            if(version >= 9.0){
                return true;
            }
            else{
                return false;
            }
        }
        else{
            return true;
        }

    };

    $(".t_content_wrap").live("click",function(){
        if(!$(this).hasClass('t_content_inactive')){
            $("#unlockbar_content_pro").fadeOut();
            $("#unlockbar_content_essentials").fadeOut();
        }
        var id = $(".changegray").attr("id");
        if(video_want_send_data){
            sendMixPanelEvent($(this).attr("id"));
        }else{
            video_want_send_data = true;
        }
        
        $("#"+id).removeClass("changegray");
        $(this).addClass("changegray");
        var n_video_name = $(this).attr("id").substring(10);
        var myVideo=document.getElementById("t_videocontent"); 
        if(!isIE8){// check if can play the video
            myVideo.pause();
            myVideo.setAttribute("src", "../video/"+n_video_name+".mp4");
            $("#forchange").attr("src","../video/"+n_video_name+".mp4");
            $("#forchange_2").attr("src","../video/"+n_video_name+".mp4");
            myVideo.load();
            myVideo.play();
        }
        else{
            $("#v_image_pic").attr("src","../image_ie8/"+n_video_name+".jpg");
        }
    });

    function sendMixPanelEvent(id){
        switch(id){
            case "t_content_brush_puck":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-brush-puck";
                break;
            case "t_content_color_wheel":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-color-wheel";
                break;
            case "t_content_lagoon":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-lagoon";
                break;
            case "t_content_brush_property":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-brush-property";
                break;
            case "t_content_brush_management":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-brush-management";
                break;                
            case "t_content_symmetry":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-symmetry";
                break;
            case "t_content_copic_color":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-copic-color-library";
                break;
            case "t_content_ruler":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-ruler-french";
                break;
            case "t_content_gradient_fill":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-gradient-fill";
                break;
            case "t_content_distort":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-distort";
                break;
            case "t_content_flipbooks":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-flipbooks";
                break;
            case "t_content_perspective":
                window.location.href = "sketchbook://banner/event?type=clicked&id=tutorials-video-perspective-tools";
                break;
            default:
                break;
        }
    };

    $(".t_content_inactive").live("click",function(){
        if($(this).hasClass('t_content_essentials')){
            $("#unlockbar_content_pro").fadeOut();
            $("#unlockbar_content_essentials").fadeTo(400,0.9);
        }
        else if($(this).hasClass('t_content_pro')){
            $("#unlockbar_content_essentials").fadeOut();
            $("#unlockbar_content_pro").fadeTo(400,0.9);
        }
    });

    function quick_tour_essentials_change(){
        video_want_send_data = false;
        $("#t_content_brush_property").click();
        setTimeout("$('#tag_2').click()",200);
        ess_learn_page_change.click();
        document.getElementById("t_list").scrollTop=100;
    };

    function quick_tour_pro_change(){
        video_want_send_data = false;
        $("#t_content_brush_management").click();
        setTimeout("$('#tag_2').click()",200);
        pro_learn_page_change.click();
        document.getElementById("t_list").scrollTop=1000;
    };

    function load_loop_image(){
        var num_of_list=5;
        var loop_image_name_list=["hero1","hero2","hero3","hero4","hero5"];
        var loop_image_length=[5,5,6,5,3];
        var loop_image_author_list=["Na Young Irene Lee","Kyle Runciman","Siyan Ren","Paul Vera Broadbent","Trent Kanigua"];
        
        var random_list=getRandomInt(0, num_of_list-1);
        
        var loop_image_div=$("#loop_images_section0 video");
        
        var myVideo=document.getElementById("myVideo"); 
        if (!isIE8) {
            myVideo.pause();
            myVideo.setAttribute("src", "../image/loop_image/" + loop_image_name_list[random_list] +".mp4");
            myVideo.load();
            myVideo.play();
        }else{
            $("#myVideo_img").attr("src", "../image/loop_image/" + loop_image_name_list[random_list] +"@2x.png");
        }

        var loop_image_author=$(".author");
        $("#author_name").text(loop_image_author_list[random_list]);

    }

    function loop_next_image(){
        var loop_image_list=$("#loop_images_section0").children();
        
        var last_active=loop_image_list.index($("#loop_images_section0").children(".active"));
        var next_active=last_active-1;
        if(last_active==0){
            next_active=loop_image_list.length;
        }
        for(var j=loop_image_list.length-1;j>=0;j--){
            if(j==next_active){
                loop_image_list.eq(j).fadeIn(2000);
                loop_image_list.eq(j).addClass("active");
            }
            else{
                setTimeout(function (){loop_image_list.eq(j).fadeOut(0);}, 2000);
                loop_image_list.eq(j).removeClass("active");
            }
        }
        setTimeout(loop_next_image, 2000);
    }

    function getRandomInt(min, max) {
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }

    //slides arrow
    $(".arrowUp").click(function(){
        $.fn.fullpage.moveSectionUp();
    });

    $(".arrowDown").click(function(){
        $.fn.fullpage.moveSectionDown();
    });

    $(".explore_arrow").click(function(){
        $.fn.fullpage.moveSectionDown();
    });

    function loadJS(){
        var locale = LOCALE;
        locale = sb_util.getLocaleFolder(locale);
        sb_util.loadjscssfile("../lang/" + locale + "/lan_index.js", "js", "");
        sb_util.loadjscssfile("../lang/" + locale + "/lan_subscription.js", "js", "");

        if(isOEM){
            var oem = OEM;
            sb_util.loadjscssfile("../OEM/" + oem + "/lang/" + locale + "/lan_index_oem.js", "js", "");
        }
    };

    // function getParameterValue(paramName, defaultValue){
    //     if (typeof(defaultValue)==='undefined') defaultValue = "";
    //     var value = urlParseModule.getURLParameter(paramName)?urlParseModule.getURLParameter(paramName):defaultValue;
    //     return value;
    // }

    String.prototype.format = function(args) {
        var result = this;
        if (arguments.length > 0) {
            if (arguments.length == 1 && typeof (args) == "object") {
                for (var key in args) {
                    if(args[key]!=undefined){
                        var reg = new RegExp("({" + key + "})", "g");
                        result = result.replace(reg, args[key]);
                    }
                }
            }
            else {
                for (var i = 0; i < arguments.length; i++) {
                    if (arguments[i] != undefined) {
                        var reg = new RegExp("({[" + i + "]})", "g");
                        result = result.replace(reg, arguments[i]);
                    }
                }
            }
        }
        return result;
    };

})();


// SIG // Begin signature block
// SIG // MIIbQQYJKoZIhvcNAQcCoIIbMjCCGy4CAQExDzANBglg
// SIG // hkgBZQMEAgEFADB3BgorBgEEAYI3AgEEoGkwZzAyBgor
// SIG // BgEEAYI3AgEeMCQCAQEEEBDgyQbOONQRoqMAEEvTUJAC
// SIG // AQACAQACAQACAQACAQAwMTANBglghkgBZQMEAgEFAAQg
// SIG // CkQWAf+i6w3yoARZT7whWvnyx3KElkgOYFXuWcsIjHGg
// SIG // ggoWMIIExzCCA6+gAwIBAgIQRmNneUwfS2axMLvf4itE
// SIG // 1TANBgkqhkiG9w0BAQsFADCBhDELMAkGA1UEBhMCVVMx
// SIG // HTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8w
// SIG // HQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMTUw
// SIG // MwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAzIFNIQTI1NiBD
// SIG // b2RlIFNpZ25pbmcgQ0EgLSBHMjAeFw0xODA1MTUwMDAw
// SIG // MDBaFw0xOTA1MTYyMzU5NTlaMHgxCzAJBgNVBAYTAlVT
// SIG // MRMwEQYDVQQIDApDYWxpZm9ybmlhMRMwEQYDVQQHDApT
// SIG // YW4gUmFmYWVsMRcwFQYDVQQKDA5BdXRvZGVzaywgSW5j
// SIG // LjENMAsGA1UECwwESVNSQzEXMBUGA1UEAwwOQXV0b2Rl
// SIG // c2ssIEluYy4wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
// SIG // ggEKAoIBAQCvJkc9LYu+pCsbf8I3gE3zqbTFGUI0VM4n
// SIG // ZQCAZPupl8dgkFYQnLu3MUiexVMgIzAdAm6W81IuppWu
// SIG // WdImvi4EVARJeP6IkyFwC9Yz3LlvVMK1M8sxysDvGjaW
// SIG // 496yVim7+NpivXDhiN4o4fNoLBViJBKhUk9eExCiyMXS
// SIG // l4d4bzj7Mp50UttIv7qk2P9rdE/KN5cEVib/9zVw0jQN
// SIG // 8YZQgvubxJ4DiibaNIHscX1GCEjtLZ3H/yfwejct5GTl
// SIG // pBmUuz/vmvtae26t9rFPDV3RaCgwv7pKhdyWfRTtN2Cy
// SIG // /qJE13xyH3mwPR1FQr2XEdgsFGg6JZivwNMK7jkzG12N
// SIG // AgMBAAGjggE+MIIBOjAJBgNVHRMEAjAAMA4GA1UdDwEB
// SIG // /wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzBhBgNV
// SIG // HSAEWjBYMFYGBmeBDAEEATBMMCMGCCsGAQUFBwIBFhdo
// SIG // dHRwczovL2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcC
// SIG // AjAZDBdodHRwczovL2Quc3ltY2IuY29tL3JwYTAfBgNV
// SIG // HSMEGDAWgBTUwAYiSes5S92T4lyhuEd2CXIDWDArBgNV
// SIG // HR8EJDAiMCCgHqAchhpodHRwOi8vcmIuc3ltY2IuY29t
// SIG // L3JiLmNybDBXBggrBgEFBQcBAQRLMEkwHwYIKwYBBQUH
// SIG // MAGGE2h0dHA6Ly9yYi5zeW1jZC5jb20wJgYIKwYBBQUH
// SIG // MAKGGmh0dHA6Ly9yYi5zeW1jYi5jb20vcmIuY3J0MA0G
// SIG // CSqGSIb3DQEBCwUAA4IBAQCYNtPSL89ulMoOBxnOMgcR
// SIG // f9Y9Bu9D+wwp6M01L7t/+RLBppc6pUDmGa8D/gkeFZNn
// SIG // f9xL1VeMHBTvDgu0UcFI+zow4ryZ4Opk1mh7oPdyRVlL
// SIG // XPPe+7Yq9mBDfcJxZVwSlAHgG7wgVyz2OxrJo4PVPG/e
// SIG // Gm4oy67rGOrS+NUMX0ipSsFFr9tJefxpJXyjBsxfnCUz
// SIG // CwCjDuV27qnrFfb6hcNz8dq0RMotd7A60xiDuVsQvoMd
// SIG // QzXaHaADWmuBLZhzrqgB5d+bu8iZHV5wuGZaL5YitFMP
// SIG // 5uEarPyTDIxazj7X3izJtiHv7BIAsucuwzvRVkvRPO/O
// SIG // MyJYNjid8UBVMIIFRzCCBC+gAwIBAgIQfBs1NUrn23Tn
// SIG // QV8RacprqDANBgkqhkiG9w0BAQsFADCBvTELMAkGA1UE
// SIG // BhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8w
// SIG // HQYDVQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTow
// SIG // OAYDVQQLEzEoYykgMjAwOCBWZXJpU2lnbiwgSW5jLiAt
// SIG // IEZvciBhdXRob3JpemVkIHVzZSBvbmx5MTgwNgYDVQQD
// SIG // Ey9WZXJpU2lnbiBVbml2ZXJzYWwgUm9vdCBDZXJ0aWZp
// SIG // Y2F0aW9uIEF1dGhvcml0eTAeFw0xNDA3MjIwMDAwMDBa
// SIG // Fw0yNDA3MjEyMzU5NTlaMIGEMQswCQYDVQQGEwJVUzEd
// SIG // MBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xHzAd
// SIG // BgNVBAsTFlN5bWFudGVjIFRydXN0IE5ldHdvcmsxNTAz
// SIG // BgNVBAMTLFN5bWFudGVjIENsYXNzIDMgU0hBMjU2IENv
// SIG // ZGUgU2lnbmluZyBDQSAtIEcyMIIBIjANBgkqhkiG9w0B
// SIG // AQEFAAOCAQ8AMIIBCgKCAQEA15VD1NzfZ645+1KktiYx
// SIG // BHDpt45bKro3aTWVj7vAMOeG2HO73+vRdj+KVo7rLUvw
// SIG // VxhOsY2lM9MLdSPVankn3aPT9w6HZbXerRzx9TW0IlGv
// SIG // IqHBXUuQf8BZTqudeakC1x5JsTtNh/7CeKu/71KunK8I
// SIG // 2TnlmlE+aV8wEE5xY2xY4fAgMxsPdL5byxLh24zEgJRy
// SIG // u/ZFmp7BJQv7oxye2KYJcHHswEdMj33D3hnOPu4Eco4X
// SIG // 0//wsgUyGUzTsByf/qV4IEJwQbAmjG8AyDoAEUF6QbCn
// SIG // ipEEoJl49He082Aq5mxQBLcUYP8NUfSoi4T+IdpcXn31
// SIG // KXlPsER0b21y/wIDAQABo4IBeDCCAXQwLgYIKwYBBQUH
// SIG // AQEEIjAgMB4GCCsGAQUFBzABhhJodHRwOi8vcy5zeW1j
// SIG // ZC5jb20wEgYDVR0TAQH/BAgwBgEB/wIBADBmBgNVHSAE
// SIG // XzBdMFsGC2CGSAGG+EUBBxcDMEwwIwYIKwYBBQUHAgEW
// SIG // F2h0dHBzOi8vZC5zeW1jYi5jb20vY3BzMCUGCCsGAQUF
// SIG // BwICMBkaF2h0dHBzOi8vZC5zeW1jYi5jb20vcnBhMDYG
// SIG // A1UdHwQvMC0wK6ApoCeGJWh0dHA6Ly9zLnN5bWNiLmNv
// SIG // bS91bml2ZXJzYWwtcm9vdC5jcmwwEwYDVR0lBAwwCgYI
// SIG // KwYBBQUHAwMwDgYDVR0PAQH/BAQDAgEGMCkGA1UdEQQi
// SIG // MCCkHjAcMRowGAYDVQQDExFTeW1hbnRlY1BLSS0xLTcy
// SIG // NDAdBgNVHQ4EFgQU1MAGIknrOUvdk+JcobhHdglyA1gw
// SIG // HwYDVR0jBBgwFoAUtnf6aUhHn1MS1cLqBzJ2B9GXBxkw
// SIG // DQYJKoZIhvcNAQELBQADggEBAH/ryqfqi3ZC6z6OIFQw
// SIG // 47e53PpIPhbHD0WVEM0nhqNm8wLtcfiqwlWXkXCD+VJ+
// SIG // Umk8yfHglEaAGLuh1KRWpvMdAJHVhvNIh+DLxDRoIF60
// SIG // y/kF7ZyvcFMnueg+flGgaXGL3FHtgDolMp9Er25DKNMh
// SIG // dbuX2IuLjP6pBEYEhfcVnEsRjcQsF/7Vbn+a4laS8Zaz
// SIG // rS359N/aiZnOsjhEwPdHe8olufoqaDObUHLeqJ/UzSwL
// SIG // NL2LMHhA4I2OJxuQbxq+CBWBXesv4lHnUR7JeCnnHmW/
// SIG // OO8BSgEJJA4WxBR5wUE3NNA9kVKUneFo7wjw4mmcZ26Q
// SIG // CxqTcdQmAsPAWiMxghCDMIIQfwIBATCBmTCBhDELMAkG
// SIG // A1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBv
// SIG // cmF0aW9uMR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBO
// SIG // ZXR3b3JrMTUwMwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAz
// SIG // IFNIQTI1NiBDb2RlIFNpZ25pbmcgQ0EgLSBHMgIQRmNn
// SIG // eUwfS2axMLvf4itE1TANBglghkgBZQMEAgEFAKB8MBAG
// SIG // CisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJAzEMBgor
// SIG // BgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEE
// SIG // AYI3AgEVMC8GCSqGSIb3DQEJBDEiBCC+lu4RuaU+7FrB
// SIG // fsFy0wEaiQOD3z1w+LCGPye+gQGlgjANBgkqhkiG9w0B
// SIG // AQEFAASCAQAD5QBkiCIUy4w3gBkHs7gwNvy/nOybZoNo
// SIG // M7Vm2+/dG1G74Coe/gCo+6Bmv5I8MKYKZIGlv9lZksN1
// SIG // o/wegz6Tv/EF2tkQbaum9+32YHV3w5q9gI8DRijerq9H
// SIG // l1GC1IqRUaSN7q8HrTHFnqr/Jl4y3nD3wCoeeF/Zk7P/
// SIG // 5KFDAsraQ3pmRMmgGf5BHd6NA0e7jlSTGKQh6XpUFPR/
// SIG // Zls5JlC9ztKzqmuRYQbqWcY8wbLqTwPo/pffUJN9LqVV
// SIG // jJidYFYQ95gdvL6+N0GcuIYiHiNY/GWCvuDlIimAL78V
// SIG // TS+DsqMt/ob24rMwsKd3pAz3Gdhu7HaLTWLoFH88pPJb
// SIG // oYIOPDCCDjgGCisGAQQBgjcDAwExgg4oMIIOJAYJKoZI
// SIG // hvcNAQcCoIIOFTCCDhECAQMxDTALBglghkgBZQMEAgEw
// SIG // ggEOBgsqhkiG9w0BCRABBKCB/gSB+zCB+AIBAQYLYIZI
// SIG // AYb4RQEHFwMwMTANBglghkgBZQMEAgEFAAQg/boJRz4n
// SIG // hlncWtH2ie2P8KQExFYZz3pG8Y6/lzqIhlUCFApnojI8
// SIG // pZ5RhUYfGrVOf1cMLl2BGA8yMDE5MDMyNTIxMjEzNVow
// SIG // AwIBHqCBhqSBgzCBgDELMAkGA1UEBhMCVVMxHTAbBgNV
// SIG // BAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8wHQYDVQQL
// SIG // ExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMTEwLwYDVQQD
// SIG // EyhTeW1hbnRlYyBTSEEyNTYgVGltZVN0YW1waW5nIFNp
// SIG // Z25lciAtIEcyoIIKizCCBTgwggQgoAMCAQICEHsFsdRJ
// SIG // aFFE98mJ0pwZnRIwDQYJKoZIhvcNAQELBQAwgb0xCzAJ
// SIG // BgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwgSW5j
// SIG // LjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1c3QgTmV0d29y
// SIG // azE6MDgGA1UECxMxKGMpIDIwMDggVmVyaVNpZ24sIElu
// SIG // Yy4gLSBGb3IgYXV0aG9yaXplZCB1c2Ugb25seTE4MDYG
// SIG // A1UEAxMvVmVyaVNpZ24gVW5pdmVyc2FsIFJvb3QgQ2Vy
// SIG // dGlmaWNhdGlvbiBBdXRob3JpdHkwHhcNMTYwMTEyMDAw
// SIG // MDAwWhcNMzEwMTExMjM1OTU5WjB3MQswCQYDVQQGEwJV
// SIG // UzEdMBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24x
// SIG // HzAdBgNVBAsTFlN5bWFudGVjIFRydXN0IE5ldHdvcmsx
// SIG // KDAmBgNVBAMTH1N5bWFudGVjIFNIQTI1NiBUaW1lU3Rh
// SIG // bXBpbmcgQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
// SIG // ggEKAoIBAQC7WZ1ZVU+djHJdGoGi61XzsAGtPHGsMo8F
// SIG // a4aaJwAyl2pNyWQUSym7wtkpuS7sY7Phzz8LVpD4Yht+
// SIG // 66YH4t5/Xm1AONSRBudBfHkcy8utG7/YlZHz8O5s+K2W
// SIG // OS5/wSe4eDnFhKXt7a+Hjs6Nx23q0pi1Oh8eOZ3D9Jqo
// SIG // 9IThxNF8ccYGKbQ/5IMNJsN7CD5N+Qq3M0n/yjvU9bKb
// SIG // S+GImRr1wOkzFNbfx4Dbke7+vJJXcnf0zajM/gn1kze+
// SIG // lYhqxdz0sUvUzugJkV+1hHk1inisGTKPI8EyQRtZDqk+
// SIG // scz51ivvt9jk1R1tETqS9pPJnONI7rtTDtQ2l4Z4xaE3
// SIG // AgMBAAGjggF3MIIBczAOBgNVHQ8BAf8EBAMCAQYwEgYD
// SIG // VR0TAQH/BAgwBgEB/wIBADBmBgNVHSAEXzBdMFsGC2CG
// SIG // SAGG+EUBBxcDMEwwIwYIKwYBBQUHAgEWF2h0dHBzOi8v
// SIG // ZC5zeW1jYi5jb20vY3BzMCUGCCsGAQUFBwICMBkaF2h0
// SIG // dHBzOi8vZC5zeW1jYi5jb20vcnBhMC4GCCsGAQUFBwEB
// SIG // BCIwIDAeBggrBgEFBQcwAYYSaHR0cDovL3Muc3ltY2Qu
// SIG // Y29tMDYGA1UdHwQvMC0wK6ApoCeGJWh0dHA6Ly9zLnN5
// SIG // bWNiLmNvbS91bml2ZXJzYWwtcm9vdC5jcmwwEwYDVR0l
// SIG // BAwwCgYIKwYBBQUHAwgwKAYDVR0RBCEwH6QdMBsxGTAX
// SIG // BgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTMwHQYDVR0OBBYE
// SIG // FK9j1sqjToVy4Ke8QfMpojh/gHViMB8GA1UdIwQYMBaA
// SIG // FLZ3+mlIR59TEtXC6gcydgfRlwcZMA0GCSqGSIb3DQEB
// SIG // CwUAA4IBAQB16rAt1TQZXDJF/g7h1E+meMFv1+rd3E/z
// SIG // ociBiPenjxXmQCmt5l30otlWZIRxMCrdHmEXZiBWBpgZ
// SIG // jV1x8viXvAn9HJFHyeLojQP7zJAv1gpsTjPs1rSTyEyQ
// SIG // Y0g5QCHE3dZuiZg8tZiX6KkGtwnJj1NXQZAv4R5NTtzK
// SIG // EHhsQm7wtsX4YVxS9U72a433Snq+8839A9fZ9gOoD+NT
// SIG // 9wp17MZ1LqpmhQSZt/gGV+HGDvbor9rsmxgfqrnjOgC/
// SIG // zoqUywHbnsc4uw9Sq9HjlANgCk2g/idtFDL8P5dA4b+Z
// SIG // idvkORS92uTTw+orWrOVWFUEfcea7CMDjYUq0v+uqWGB
// SIG // MIIFSzCCBDOgAwIBAgIQVFjyqtdB1kS8hKl7oJZS5jAN
// SIG // BgkqhkiG9w0BAQsFADB3MQswCQYDVQQGEwJVUzEdMBsG
// SIG // A1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xHzAdBgNV
// SIG // BAsTFlN5bWFudGVjIFRydXN0IE5ldHdvcmsxKDAmBgNV
// SIG // BAMTH1N5bWFudGVjIFNIQTI1NiBUaW1lU3RhbXBpbmcg
// SIG // Q0EwHhcNMTcwMTAyMDAwMDAwWhcNMjgwNDAxMjM1OTU5
// SIG // WjCBgDELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFu
// SIG // dGVjIENvcnBvcmF0aW9uMR8wHQYDVQQLExZTeW1hbnRl
// SIG // YyBUcnVzdCBOZXR3b3JrMTEwLwYDVQQDEyhTeW1hbnRl
// SIG // YyBTSEEyNTYgVGltZVN0YW1waW5nIFNpZ25lciAtIEcy
// SIG // MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
// SIG // mfP82AQJA4b511ymk8BCfOp8Y89dAOKO88CQ348p9Rjq
// SIG // lLeS5dewoHOB6OkKm0p8Af+dj6Q5pw7qRfQiDDpw7TlF
// SIG // i+TFG1zwRWhGJAVjdpsc/J5sKrFW5Yp/UnGu8jXVRiMG
// SIG // HM9ILR20zbjZdiOOHP8+v7sGXGkHpmUO+F6ufS7tTa41
// SIG // 78nXAEL9KJUOn11yQgm8w9pE0u3MR4Tk/MotrFi+rveu
// SIG // 2UQNCLfCd9YaQ3DRbgPeUpLEEAhx2boiVfIfvO2bnTvi
// SIG // Xh1Mg/+XD3sL51WDTtIN677X7K5uR7mf36XWUbwEVe3/
// SIG // J3BMye0qSxPhsblMD8kB7lVlX2kCeGbLPwIDAQABo4IB
// SIG // xzCCAcMwDAYDVR0TAQH/BAIwADBmBgNVHSAEXzBdMFsG
// SIG // C2CGSAGG+EUBBxcDMEwwIwYIKwYBBQUHAgEWF2h0dHBz
// SIG // Oi8vZC5zeW1jYi5jb20vY3BzMCUGCCsGAQUFBwICMBka
// SIG // F2h0dHBzOi8vZC5zeW1jYi5jb20vcnBhMEAGA1UdHwQ5
// SIG // MDcwNaAzoDGGL2h0dHA6Ly90cy1jcmwud3Muc3ltYW50
// SIG // ZWMuY29tL3NoYTI1Ni10c3MtY2EuY3JsMBYGA1UdJQEB
// SIG // /wQMMAoGCCsGAQUFBwMIMA4GA1UdDwEB/wQEAwIHgDB3
// SIG // BggrBgEFBQcBAQRrMGkwKgYIKwYBBQUHMAGGHmh0dHA6
// SIG // Ly90cy1vY3NwLndzLnN5bWFudGVjLmNvbTA7BggrBgEF
// SIG // BQcwAoYvaHR0cDovL3RzLWFpYS53cy5zeW1hbnRlYy5j
// SIG // b20vc2hhMjU2LXRzcy1jYS5jZXIwKAYDVR0RBCEwH6Qd
// SIG // MBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTUwHQYD
// SIG // VR0OBBYEFAm1wf6WcpcpQ5rJ4AK6rvj9L7r2MB8GA1Ud
// SIG // IwQYMBaAFK9j1sqjToVy4Ke8QfMpojh/gHViMA0GCSqG
// SIG // SIb3DQEBCwUAA4IBAQAXswqI6VxaXiBrOwoVsmzFqYoy
// SIG // h9Ox9BxTroW+P5v/17y3lIW0x1J+lOi97WGy1KeZ5MPJ
// SIG // k8E1PQvoaApdVpi9sSI70UR617/wbVEyitUj3zgBN/bi
// SIG // Uyt6KxGPt01sejMDG3xrCZQXu+TbWNQhE2Xn7NElyix1
// SIG // mpx//Mm7KmirxH20z6PJbKfZxACciQp3kfRNovsxO4Zu
// SIG // 9uYfUAOGm7/LQqvmdptyWhEBisbvpW+V592uuuYiZfAY
// SIG // WRsRyc2At9iXRx9CCPiscR+wRlOz1LLVo6tQdUgSF4Kt
// SIG // z+BBTzJ+zZUcv5GKCD2kp2cClt8kTKXQQcCCYKOKFzJL
// SIG // 07zPpLSMMYICWjCCAlYCAQEwgYswdzELMAkGA1UEBhMC
// SIG // VVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9u
// SIG // MR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3Jr
// SIG // MSgwJgYDVQQDEx9TeW1hbnRlYyBTSEEyNTYgVGltZVN0
// SIG // YW1waW5nIENBAhBUWPKq10HWRLyEqXugllLmMAsGCWCG
// SIG // SAFlAwQCAaCBpDAaBgkqhkiG9w0BCQMxDQYLKoZIhvcN
// SIG // AQkQAQQwHAYJKoZIhvcNAQkFMQ8XDTE5MDMyNTIxMjEz
// SIG // NVowLwYJKoZIhvcNAQkEMSIEINNj5Oj8fsyVl6hyebC2
// SIG // DmjPRfhTM9KVX7gY1Mz1XdLFMDcGCyqGSIb3DQEJEAIv
// SIG // MSgwJjAkMCIEIM96wXrQR+zV/cNoIgMbEtTvB4tvK0xe
// SIG // a6Qfj/LPS61nMAsGCSqGSIb3DQEBAQSCAQBiiK3EFQxZ
// SIG // uYxMAAOprtGziSQafII03nETSI86PlGDKigTx2p7ubZA
// SIG // JnEOrS7KesET9g7Dnd0tDaRlGtzuFiAkch96OjVSYGkZ
// SIG // wQus6sdb494Z8APyNf4eRl3AMKQqFvSXa/3KRxnrJvTS
// SIG // QEmfGjoDcwORYUnVi5KdSzrV9pm0HHIUMEdd3bJp73ht
// SIG // d6HjUHyJJbfrcBUEpmqJSvvByosb5tPXyPSe6GFl/roV
// SIG // x8uj7pil6B3rzYvXWA96iZwsSY7NJxLQM0AyLy3OKylV
// SIG // xNM4HXJo5y5OyNQJKxx3KdlLfwcl+lXGdBrpITwvN9dz
// SIG // DDCTLOEdUqluf73/h0JhnbSQ
// SIG // End signature block
